> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Schedule Settlements By Tax Reference

> Name and signature indicate it gets schedule settlements by tax reference

Required scope: `payments:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-schedule-settlements-by-tax-reference
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-schedule-settlements-by-tax-reference:
    get:
      operationId: getScheduleSettlementsByTaxReference
      summary: Get Schedule Settlements By Tax Reference
      x-toku-required-scope: payments:read
      description: >-
        Name and signature indicate it gets schedule settlements by tax
        reference


        Required scope: `payments:read`. It also needs `banking:read`,
        `compensation:read`.
      parameters:
        - name: taxReferenceID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetScheduleSettlementsByTaxReferenceResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetScheduleSettlementsByTaxReferenceResponse:
      type: object
      properties:
        transactions:
          type: array
          items:
            type: object
            properties:
              transactionID:
                type: string
              providerName:
                type: string
                enum:
                  - SAFE
                  - SAFE_PROPOSER
                  - ANCHORAGE
                  - FIREBLOCKS
                  - SQUADS
                  - COINBASE
                  - FILECOIN_SELF_CUSTODY
                  - FORDEFI
                  - BITGO
              status:
                type: string
                enum:
                  - QUEUED
                  - PENDING
                  - PENDING_APPROVAL
                  - BROADCASTING
                  - CONFIRMING
                  - COMPLETED
                  - FAILED
                  - CANCELLED
                  - REJECTED
              providerTransactionID:
                type: string
              transactionHash:
                type: string
              explorerUrl:
                type: string
              destinationAddress:
                type: string
              submittedAmount:
                type: string
                pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
              sourceCustodyWalletID:
                type: string
              isPartial:
                type: boolean
              lastStatusChangeAt:
                type: string
                pattern: ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
              createdAt:
                type: string
                pattern: ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  httpStatus:
                    type: number
            required:
              - transactionID
              - providerName
              - status
              - destinationAddress
              - lastStatusChangeAt
              - createdAt
        count:
          type: integer
      required:
        - transactions
        - count
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
